Karia
ReferencesOpenapiEmployer

Update employer

PATCH
/organisation/{orgId}/workspace/{workspaceId}/employer/{employerId}

Update the editable fields for an employer in the specified organisation and workspace.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
employerId*string
application/json
  1. body
name?string
Lengthlength <= 255
tradingName?string
Lengthlength <= 255
streetNumber?string
Lengthlength <= 10
streetName?string
Lengthlength <= 255
suburb?string
Lengthlength <= 100
state?string
Value in"act""nsw""nt""qld""sa""tas""vic""wa"
postCode?string
Lengthlength <= 20
country?string
Lengthlength <= 100
unitNumber?|null
addressLine2?|null
metadata?

Response Body

Successful response

application/json
  1. response
success*boolean
Example Request
curl -X PATCH 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/employer/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true}